> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datalinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save dataset ontology

> Save the ontology for the specified dataset.



## OpenAPI

````yaml /api-reference/openapi.yml post /ontology/{username}/{namespace}/{datasetName}
openapi: 3.0.3
info:
  title: DataLinks
  version: 2.2.3
servers:
  - url: https://api.datalinks.com/api/v1
    description: production server
security:
  - bearerAuth: []
  - openId:
      - implicit
paths:
  /ontology/{username}/{namespace}/{datasetName}:
    post:
      tags:
        - ontology
      summary: Save dataset ontology
      description: Save the ontology for the specified dataset.
      operationId: saveConnections
      parameters:
        - name: namespace
          in: path
          description: Namespace for the dataset.
          required: true
          schema:
            type: string
          example: cinematography
        - name: datasetName
          in: path
          description: Name of the dataset.
          required: true
          schema:
            type: string
          examples:
            movies:
              summary: Movies
              value: movies
            actors:
              summary: Actors
              value: actors
        - name: username
          in: path
          description: The username associated with the request.
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModifyOntologyRequest'
        required: true
      responses:
        '200':
          description: Saves the dataset ontology.
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    ModifyOntologyRequest:
      type: object
      properties:
        add:
          type: array
          items:
            $ref: '#/components/schemas/ApiLink'
        remove:
          type: array
          items:
            $ref: '#/components/schemas/ApiLink'
    ApiLink:
      required:
        - destination
        - hits
        - matchType
        - origin
      type: object
      properties:
        destination:
          type: string
          example: ri.user.examples.companies.other_addresses
        hits:
          type: integer
          format: int64
          example: 5
        matchType:
          type: string
          example: ExactMatch
        origin:
          type: string
          example: ri.user.examples.companies.nationalities
      example:
        destination: ri.user.examples.actor.name
        hits: 6
        matchType: ExactMatch
        origin: ri.user.examples.movies.director
    ErrorResponse:
      required:
        - error_code
        - message
      type: object
      properties:
        error_code:
          type: string
          example: UNAUTHORIZED
        error_message:
          type: string
          example: ''
        message:
          type: string
          example: Missing authentication token
        sub_errors:
          type: array
          items:
            required:
              - code
              - message
            type: object
            properties:
              code:
                type: string
              message:
                type: string
  responses:
    Unauthorized:
      description: >-
        Unauthorized. This error occurs if the authentication token is missing
        or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Forbidden:
      description: Forbidden. The user does not have access to this resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: The requested resource was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      description: >
        Use a Bearer token for authentication. Submit the token using the
        `Authorization`

        header: `Authorization: Bearer <token>`.
      scheme: bearer
    openId:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://login.datalinks.com/realms/datalinks-realm/protocol/openid-connect/auth
          scopes:
            openid: openid

````